<?php
/** Adminer - Compact database management
* @link https://www.adminer.org/
* @author Jakub Vrana, https://www.vrana.cz/
* @copyright 2007 Jakub Vrana
* @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other)
*/

define('FORUM_ROOT', '../../../');

include FORUM_ROOT.'config.php';

if ($db_type == 'sqlite' || $db_type == 'sqlite3')
	define('DB_PATH', FORUM_ROOT.$db_name);
else
	die('This database type is not supported.');

if (isset($_POST['config']) && !defined('ADMINER_CONFIG'))
{
	$admin = !empty($_POST['admin']) ? $_POST['admin'] : die('Emty admin');
	$pass = !empty($_POST['pass']) ? $_POST['pass'] : die('Emty password');
	
	$config = '<?php'."\n\n".'$admin = \''.$admin."';\n".'$pass = \''.$pass."';\n\ndefine('ADMINER_CONFIG', 1);";
	
	$written = false;
	if (is_writable(FORUM_ROOT))
	{
		$fh = @fopen(FORUM_ROOT.'extensions/pan_db_adminer/config.php', 'wb');
		if ($fh)
		{
			fwrite($fh, $config);
			fclose($fh);
			$written = true;
		}
	}
}

if (!file_exists(FORUM_ROOT.'extensions/pan_db_adminer/config.php'))
{

?>

<html>
	<head>
		<meta charset="utf-8">
		<title>Creating new account</title>
	</head>
	<body>
<style>
.form-install .seaching{
	padding-top: 100px;
	padding-left: 33%;
	padding-right: 33%;
}
.form-install .frm-title{
	float: left;
}
.seaching .sf-set {
	text-align: right;
	padding-bottom: 5px;
}
</style>
		<div class="form-install">
			<form class="seaching" name="seaching" method="post" action="">
				<div class="sf-set">
					<h1>Creating new account</h1>
				</div>
				<div class="sf-set">
					<span class="frm-title">Admin Name</span>
					<input type="text" name="admin" size="35" maxlength="50" />
				</div>
				<div class="sf-set">
					<span class="frm-title">Admin Pass</span>
					<input type="text" name="pass" size="35" autocomplete="off" />
				</div>
				<div class="sf-set">
					<input type="submit" name="config" value="Save config"/>
				</div>
			</form>
		</div>
	</body>
</html>
<?php

}
else
{
	include FORUM_ROOT.'extensions/pan_db_adminer/config.php';
	
	function adminer_object(){
		class AdminerSoftware extends Adminer{
			function login($login, $password){
				global $admin, $pass;
				if($login != $admin) return false;
				if($password != $pass) return false;
				return true;
			}
			function database() {//??
				global $db_name;
				return FORUM_ROOT.$db_name;
			}
		}
		return new AdminerSoftware;
	}

	if (!isset($_GET["db"])) $_GET["db"] = DB_PATH;
	
	if ($db_type == 'sqlite') {
		if (!isset($_GET["sqlite2"])) $_GET["sqlite2"] = '';
	} else if ($db_type == 'sqlite3') {
		if (!isset($_GET["sqlite"])) $_GET["sqlite"] = '';
	}



//##### ADMINER_START
include "./include/bootstrap.inc.php";
include "./include/tmpfile.inc.php";

$enum_length = "'(?:''|[^'\\\\]|\\\\.)*'";
$inout = "IN|OUT|INOUT";

if (isset($_GET["select"]) && ($_POST["edit"] || $_POST["clone"]) && !$_POST["save"]) {
	$_GET["edit"] = $_GET["select"];
}
if (isset($_GET["callf"])) {
	$_GET["call"] = $_GET["callf"];
}
if (isset($_GET["function"])) {
	$_GET["procedure"] = $_GET["function"];
}

if (isset($_GET["download"])) {
	include "./download.inc.php";
} elseif (isset($_GET["table"])) {
	include "./table.inc.php";
} elseif (isset($_GET["schema"])) {
	include "./schema.inc.php";
} elseif (isset($_GET["dump"])) {
	include "./dump.inc.php";
} elseif (isset($_GET["privileges"])) {
	include "./privileges.inc.php";
} elseif (isset($_GET["sql"])) {
	include "./sql.inc.php";
} elseif (isset($_GET["edit"])) {
	include "./edit.inc.php";
} elseif (isset($_GET["create"])) {
	include "./create.inc.php";
} elseif (isset($_GET["indexes"])) {
	include "./indexes.inc.php";
} elseif (isset($_GET["database"])) {
	include "./database.inc.php";
} elseif (isset($_GET["scheme"])) {
	include "./scheme.inc.php";
} elseif (isset($_GET["call"])) {
	include "./call.inc.php";
} elseif (isset($_GET["foreign"])) {
	include "./foreign.inc.php";
} elseif (isset($_GET["view"])) {
	include "./view.inc.php";
} elseif (isset($_GET["event"])) {
	include "./event.inc.php";
} elseif (isset($_GET["procedure"])) {
	include "./procedure.inc.php";
} elseif (isset($_GET["sequence"])) {
	include "./sequence.inc.php";
} elseif (isset($_GET["type"])) {
	include "./type.inc.php";
} elseif (isset($_GET["trigger"])) {
	include "./trigger.inc.php";
} elseif (isset($_GET["user"])) {
	include "./user.inc.php";
} elseif (isset($_GET["processlist"])) {
	include "./processlist.inc.php";
} elseif (isset($_GET["replication"])) {
	include "./replication.inc.php";
} elseif (isset($_GET["select"])) {
	include "./select.inc.php";
} elseif (isset($_GET["variables"])) {
	include "./variables.inc.php";
} elseif (isset($_GET["script"])) {
	include "./script.inc.php";
} else {
	include "./db.inc.php";
}

// each page calls its own page_header(), if the footer should not be called then the page exits
page_footer();
//##### ADMINER_END



}
